apm
3
HAL Library

# apm

## Synopsis

    gboolean    apm_synthesize_hotplug_events   (void);
    void        hotplug_event_begin_add_apm     (const gchar *apm_path,
                                                 int apm_type,
                                                 HalDevice *parent,
                                                 void *end_token);
    void        hotplug_event_begin_remove_apm  (const gchar *apm_path,
                                                 int apm_type,
                                                 void *end_token);
    gboolean    apm_rescan_device               (HalDevice *d);
    HotplugEvent* apm_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* apm_generate_remove_hotplug_event
                                                (HalDevice *d);

## Description

## Details

### apm_synthesize_hotplug_events ()

    gboolean    apm_synthesize_hotplug_events   (void);

Returns :

### hotplug_event_begin_add_apm ()

    void        hotplug_event_begin_add_apm     (const gchar *apm_path,
                                                 int apm_type,
                                                 HalDevice *parent,
                                                 void *end_token);

`apm_path` :

`apm_type` :

`parent` :

`end_token` :

### hotplug_event_begin_remove_apm ()

    void        hotplug_event_begin_remove_apm  (const gchar *apm_path,
                                                 int apm_type,
                                                 void *end_token);

`apm_path` :

`apm_type` :

`end_token` :

### apm_rescan_device ()

    gboolean    apm_rescan_device               (HalDevice *d);

`d` :

Returns :

### apm_generate_add_hotplug_event ()

    HotplugEvent* apm_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### apm_generate_remove_hotplug_event ()

    HotplugEvent* apm_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :